package com.jozki.uutils.javafx;

import javafx.scene.paint.Color;

/**
 * <table><tr>
 * <td style="border:1px solid black;width:20px;height:25px;background-color:rgb(0, 0, 0)"></td>
 * <td style="border:1px solid black;width:20px;height:25px;background-color:rgb(0, 0, 168)"></td>
 * <td style="border:1px solid black;width:20px;height:25px;background-color:rgb(0,168,0)"></td>
 * <td style="border:1px solid black;width:20px;height:25px;background-color:rgb(0,168,168)"></td>
 * <td style="border:1px solid black;width:20px;height:25px;background-color:rgb(168,0,0)"></td>
 * <td style="border:1px solid black;width:20px;height:25px;background-color:rgb(168,0,168)"></td>
 * <td style="border:1px solid black;width:20px;height:25px;background-color:rgb(168,87,0)"></td>
 * <td style="border:1px solid black;width:20px;height:25px;background-color:rgb(168,168,168)"></td>
 * <td style="border:1px solid black;width:20px;height:25px;background-color:rgb(87,87,87)"></td>
 * <td style="border:1px solid black;width:20px;height:25px;background-color:rgb(87,87,255)"></td>
 * <td style="border:1px solid black;width:20px;height:25px;background-color:rgb(87,255,87)"></td>
 * <td style="border:1px solid black;width:20px;height:25px;background-color:rgb(87,255,255)"></td>
 * <td style="border:1px solid black;width:20px;height:25px;background-color:rgb(255,87,87)"></td>
 * <td style="border:1px solid black;width:20px;height:25px;background-color:rgb(255,87,255)"></td>
 * <td style="border:1px solid black;width:20px;height:25px;background-color:rgb(255,255,87)"></td>
 * <td style="border:1px solid black;width:20px;height:25px;background-color:rgb(255,255,255)"></td>
 * </tr></table></br>
 * Basic 16 colors.
 */
public enum Color16 {
	/**
	 *  <div style="border:1px solid black;width:70px;height:30px;background-color:rgb(0, 0, 0)"></div><br/> 
	 */
	BLACK_0(Color.rgb(0, 0, 0)),
	/**
	 *  <div style="border:1px solid black;width:70px;height:30px;background-color:rgb(0, 0, 168)"></div><br/>
	 */
	BLUE_1(Color.rgb(0, 0, 168)),
	/**
	 *  <div style="border:1px solid black;width:70px;height:30px;background-color:rgb(0, 168, 0)"></div><br/>
	 */
	GREEN_2(Color.rgb(0, 168, 0)),
	/**
	 *  <div style="border:1px solid black;width:70px;height:30px;background-color:rgb(0, 168, 168)"></div><br/>
	 */
	CYAN_3(Color.rgb(0, 168, 168)),
	/**
	 *  <div style="border:1px solid black;width:70px;height:30px;background-color:rgb(168, 0, 0)"></div><br/>
	 */
	RED_4(Color.rgb(168, 0, 0)),
	/**
	 *  <div style="border:1px solid black;width:70px;height:30px;background-color:rgb(168, 0, 168)"></div><br/>
	 */
	MAGENTA_5(Color.rgb(168, 0, 168)),
	/**
	 *  <div style="border:1px solid black;width:70px;height:30px;background-color:rgb(168, 87, 0)"></div><br/>
	 */
	BROWN_6(Color.rgb(168, 87, 0)),
	/**
	 *  <div style="border:1px solid black;width:70px;height:30px;background-color:rgb(168, 168, 168)"></div><br/>
	 */
	WHITE_7(Color.rgb(168, 168, 168)),
	/**
	 *  <div style="border:1px solid black;width:70px;height:30px;background-color:rgb(87, 87, 87)"></div><br/>
	 */
	GRAY_8(Color.rgb(87, 87, 87)),
	/**
	 *  <div style="border:1px solid black;width:70px;height:30px;background-color:rgb(87, 87, 255)"></div><br/>
	 */
	LIGHT_BLUE_9(Color.rgb(87, 87, 255)),
	/**
	 *  <div style="border:1px solid black;width:70px;height:30px;background-color:rgb(87, 255, 87)"></div><br/>
	 */
	LIGHT_GREEN_10(Color.rgb(87, 255, 87)),
	/**
	 *  <div style="border:1px solid black;width:70px;height:30px;background-color:rgb(87, 255, 255)"></div><br/>
	 */
	LIGHT_CYAN_11(Color.rgb(87, 255, 255)),
	/**
	 *  <div style="border:1px solid black;width:70px;height:30px;background-color:rgb(255, 87, 87)"></div><br/>
	 */
	LIGHT_RED_12(Color.rgb(255, 87, 87)),
	/**
	 *  <div style="border:1px solid black;width:70px;height:30px;background-color:rgb(255, 87, 255)"></div><br/>
	 */
	LIGHT_MAGENTA_13(Color.rgb(255, 87, 255)),
	/**
	 *  <div style="border:1px solid black;width:70px;height:30px;background-color:rgb(255, 255, 87)"></div><br/>
	 */
	YELLOW_14(Color.rgb(255, 255, 87)),
	/**
	 *  <div style="border:1px solid black;width:70px;height:30px;background-color:rgb(255, 255, 255)"></div><br/>
	 */
	HI_WHITE_15(Color.rgb(255, 255, 255));

	public Color color;

	private Color16(Color color) {
		this.color = color;
	}

	public static Color getColor(int index) {
		return Color16.values()[index % Color16.values().length].color;
	}
}
