package com.jozki.uutils.javafx.screen.example;

import com.jozki.uutils.javafx.Color16;
import com.jozki.uutils.javafx.screen.FxScreen;

import javafx.application.Application;
import javafx.application.Platform;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.scene.paint.Color;
import javafx.stage.Stage;

public class ColorsScreen extends FxScreen {

	public ColorsScreen(Pane root) {
		super(root, ScreenMode.S7_320x200);
	}

	@Override
	protected void onRepaint() {
		int x = 0;
		for (Color16 col : Color16.values()) {
			gc.setFill(col.color);

			gc.fillRect(x, 0, x + getWidth() / Color16.values().length, getHeight());
			x += getWidth() / Color16.values().length;
		}
	}

	public static void main(String[] args) {
		Application.launch(ColorsScreenRunner.class, args);
	}

	public static class ColorsScreenRunner extends Application {
		public ColorsScreenRunner() {
		}

		@Override
		public void start(Stage primaryStage) throws Exception {
			Pane pane = new Pane();

			Scene scene = new Scene(pane, 1024, 768, Color.BLACK);

			new ColorsScreen(pane);

			primaryStage.setTitle("ColorsScreenTest");
			primaryStage.setScene(scene);
			primaryStage.setOnCloseRequest(e -> Platform.exit());
			primaryStage.sizeToScene();
			primaryStage.show();
		}
	}

}
