package com.jozki.uutils.logging;

import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;

import com.jozki.uutils.logging.Logger.LoggerLevel;

public class LoggerTest {

	static final Logger LOG = LogManager.getLogger(LoggerTest.class);

	@Test
	@Disabled
	public void test_logParams() {
		LOG.error("No param {}{}{}");
		LOG.error("One param {}{}{}", "p1");
		LOG.error("Two params {}{}{}", "p1", "p2");
		LOG.error("Three params {}{}{}", "p1", "p2", "p3");
		LOG.error("Four params {}{}{}", "p1", "p2", "p3", "p4");
		LOG.error("Null param {}{}{}", "p1", null, "p3");
		LOG.error("EX param {}{}{}", "p1", new Throwable("EX"), "p3");
	}

	@Test
	@Disabled
	public void test_logException() {
		LOG.error(new Exception("EXsingle"));
		LOG.error(new Exception("EXduo1"), new Exception("EXduo2"));
	}

	@Test
	@Disabled
	public void test_messageWithException() {
		LOG.error("message+EX", new Exception("EX"));
		LOG.error("message+EXparam{}", new Exception("EX"));
	}
	
	@Test
	public void test_levels() {
		LogManager.setLevel(LoggerLevel.TRACE);
		LOG.trace("trace on");
		LOG.debug("debug on");
		LOG.info("info on");
		LOG.warn("warn on");
		LOG.error("error on");
		LogManager.setLevel(LoggerLevel.DEBUG);
		LOG.trace("trace off");
		LOG.debug("debug on");
		LOG.info("info on");
		LOG.warn("warn on");
		LOG.error("error on");
		LogManager.setLevel(LoggerLevel.INFO);
		LOG.trace("trace off");
		LOG.debug("debug off");
		LOG.info("info on");
		LOG.warn("warn on");
		LOG.error("error on");
		LogManager.setLevel(LoggerLevel.WARN);
		LOG.trace("trace off");
		LOG.debug("debug off");
		LOG.info("info off");
		LOG.warn("warn on");
		LOG.error("error on");
		LogManager.setLevel(LoggerLevel.ERROR);
		LOG.trace("trace off");
		LOG.debug("debug off");
		LOG.info("info off");
		LOG.warn("warn off");
		LOG.error("error on");
	}
}
